web stats
Administrator Launcher 1.0.0 Released! - Page 4 - Mirth Community

Go Back   Mirth Community > Mirth Connect > General Discussion

Reply
 
Thread Tools Display Modes
  #31  
Old 04-10-2019, 08:44 PM
newbie_mrth newbie_mrth is offline
Mirth Newb
 
Join Date: Jul 2017
Posts: 12
newbie_mrth is on a distinguished road
Default

I thought this was going to help making launching mirth easier but have run into this error. It seems quite a few people have seen this no there doesnt appear to be any clear solution.

Error Downloading / Verifying Codebase:

java.lang.NullPointerException
java.util.concurrent.ExecutionException: java.lang.NullPointerException
at java.util.concurrent.FutureTask.report(Unknown Source)
at java.util.concurrent.FutureTask.get(Unknown Source)
at com.mirth.connect.client.launcher.f.a(SourceFile:4 06)
at com.mirth.connect.client.launcher.f.a(SourceFile:3 65)
at com.mirth.connect.client.launcher.MirthClientLaunc her.run(SourceFile:1122)
at java.lang.Thread.run(Unknown Source)
Caused by: java.lang.NullPointerException
at com.mirth.connect.client.launcher.f.a(SourceFile:6 09)
at com.mirth.connect.client.launcher.f.a(SourceFile:5 36)
at java.util.concurrent.FutureTask.run(Unknown Source)
at java.util.concurrent.ThreadPoolExecutor.runWorker( Unknown Source)
at java.util.concurrent.ThreadPoolExecutor$Worker.run (Unknown Source)
... 1 more

Any assistance would be appreciated.

Thanks.
Reply With Quote
  #32  
Old 05-20-2019, 07:54 AM
JBradlee JBradlee is offline
What's HL7?
 
Join Date: Oct 2011
Posts: 2
JBradlee is on a distinguished road
Default Mirth Launcher and Java 1.8

Hi all! I found myself trying this after a cache clear left me unable to connect to one of my client Mirths. It worked perfectly, but something concerned me - the bundled Java is 1.8 and this still breaks my 3.0.1 sites. I get the "This channel is invalid. Verify all required extensions are loaded correctly." message if I go into Channels.

Per this post, Java 8 and 3.0.1 don't mix - https://www.mirthcorp.com/community/...ad.php?t=10283

Per the post about the launch, the Mirth Launcher supports Connect back to 2.x.

Is there something I need to set or do for the install so that 3.0.1 works? Thank you!
Attached Images
File Type: png Mirth Launcher Java Error 20190520.png (9.0 KB, 1 views)
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -8. The time now is 06:12 AM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Mirth Corporation